G-IGES(1)

NAME
g-iges - IGES Translator (BRL-CAD to IGES)

SYNOPSIS
g-iges [-f|t|m] [-v] [-s] [-x flag1] [-X flag2] [-a abs_tol] [-r rel_tol] [-n norm_tol] [-o output_file_or_directory] database.g object(s)

DESCRIPTION
g-iges converts the specified objects of the BRL-CAD database, database.g, to an IGES version 5.1 file, file.iges. The following options are recognized

-f  selects a BREP IGES file consisting of only Manifold Solid BREP Objects. All CSG solids in the specified objects are tessellated to produce facetted BREP objects, then the indicated Boolean operations are performed for each region. Individual regions are written to the IGES file as individual BREP objects. This procedure results in some approximations since curved surface solids, such as TGCs or ellipsoids, are approximated by flat facets. The accuracy of the tessellation may be controlled through the use of the -a, -r, -n options.

-a abs_tol
    Sets the absolute tolerance (floating point value) for tesselation.

-r rel_tol
    Sets the relative (to the size of the object) tolerance (floating point value) for tesselation.

-n norm_tol
    Sets the normal tolerance (floating point value 0..1) for tesselation. This value is compared to the dot product of the normals to determine if the surfaces are within tolerance

-t  indicates that an IGES file consisting of only trimmed NURBs should be created. The trimmed NURBs will all be planar NURBs, and they are the facets derived from the tessellation and Boolean evaluation as in the -f option. The file produced in this way is acceptable to the Pro/Engineer IGES import routine.

-m  implies the -t option, and is used to produce multiple IGES files (one for each region converted). In this case the argument to the -o option should be a directory where the IGES files will accumulate.

-v  requests debugging information

-s  all facets in BREP objects should be output in the form of planar NURBs (Intergraph likes their IGES files this way).

-x flag1
    set the librt debug flag (see librt/debug.h for values)

-X flag2
    set the librt debug flag (see nmg.h for values)

-o output_file_or_directory
    Specifies the output file (or in the case of the -m) the output directory for the iges file(s).

If neither the -f , -t , nor the -m options are selected, the default is a CSG IGES file. In this situation, all regions will be written to the IGES file as Boolean trees with all possible solids rep- resented by their IGES CSG equivalent. In cases where there is no IGES CSG equivalent, the BRL-CAD solid is tesellated (using the provided tolerances), and a BREP object is written for that solid.

EXAMPLE

    g-iges -f -o sample.iges sample.g object1

This command will produce an IGES BREP output file, sample.iges, from object1 of the BRL-CAD database file sample.g.

SEE ALSO
iges-g(1).
The Initial Graphics Exchange Specification (IGES) Version 5.1, IGES/PDES Organization, September 1991.

DIAGNOSTICS
Error messages are intended to be self-explanatory.

AUTHOR
John Anderson

SOURCE
SECAD/VLD Computing Consortium, Bldg 394
The U. S. Army Research Laboratory
Aberdeen Proving Ground, MD 21005

BUG REPORTS
Reports of bugs or problems should be submitted via electronic mail to <devs@brlcad.org>.